{% extends "base/base.html" %}
{% load static %}
{% block style %}
    .card {
      transition: transform 0.2s;
    }
    .card:hover {
      transform: translateY(-5px);
    }
    .img {
      align-items: center;
      max-height : 50%;
      max-width: 50%;
    }
    .img_container{
      display: flex;
      justify-content: center;
    }
    {% comment %} .sidebar {
      background-color: #fff;
      border-radius: 10px;
      box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    } {% endcomment %}
    /* New Styles */
    .card-body {
      display: flex;
      flex-direction: column;
      align-items: flex-start; /* Align items to the start */
    }
     .card-body .card-title {
      margin-bottom: 0.5rem; /* Adjust spacing */
    } 
    .followers-section {
      display: flex;
      align-items: center;
    }
    
    .followers-text {
      margin-right: 10px; /* Add space between text and button */
    }
    {% comment %} /* Hover effects */
    .btn-info:hover, .btn-primary:hover {
      transform: scale(1.05); /* Scale button on hover */
    } {% endcomment %}
    {% comment %} .card:hover .card-body {
      background-color: rgba(255, 255, 255, 0.9); /* Lighten background on hover */
    } {% endcomment %}
    .card:hover .card-title {
      color: #007bff; /* Change text color on hover */
    }
    {% endblock style %}

    {% block main %}

<body>
  <div class="container mt-5 pt-3">
    <div class="row">
      <div class="col-md-8">
        <div class="card mb-3">
          <div class="img_container">
          <img src="{{committees.banner.url}}" class="card-img-top img" alt="...">
          </div>
          <div class="card-body">
            <h1 class="card-title">{{committees.name}}</h1>
            <p class="card-text">{{committees.description}}</p>
            <div class="followers-section">
              <h5 class="card-text followers-text">Followers: 200</h5>
              <a href="#" class="btn btn-info">Follow</a>
            </div>
          </div>
        </div>
        <div class="card mb-3">
            <div class="card-body">
              <h3 class="card-title">Connect Us On</h3>
              <hr>
              <div class="about-committees">
                <a href="{{committees.instagram}}" class="btn btn-outline-primary">Instagram</a>
                <a href="{{committees.website}}" class="btn btn-outline-primary">Visit Website</a>
                <a href="mailto: {{committees.email}}" class="btn btn-outline-primary">Email</a>
              </div>
            </div>
        </div>
      </div>
      <div class="col-md-4">
        <!-- Sidebar -->
        <div class="sidebar p-3 mb-4">
          <h3 class="mb-4">Upcoming Events</h3>
          <hr>
          {% for e in events %}
          <div class="card">
            <div class="card-body">
              <h5 class="card-title">{{e.name}}</h5>
              <p class="card-text">{{e.date}} {{e.time}}</p>
              <a href="{% url 'events:event' uuid=e.uuid %}" class="btn btn-primary">Details page</a>
            </div>
          </div>
          {% endfor %}
        </div>
        <!-- About Committees -->
       
      </div>

    </div>
    
  </div>
 
  {% comment %} <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-C6RzsynM9kWDrMNeT87bh95OGNyZPhcTNXj1NW7RuBCsyN/o0jlpcV8Qyq46cDfL" crossorigin="anonymous"></script> {% endcomment %}
</body>
{% endblock main %}
